# C - CUPS Driver API Reference

This appendix provides a reference for the CUPS driver API included with the CUPS DDK.

## Header File

The CUPS driver API provides a single header file called driver.h. You include it using the following preprocessor command:

        #include <cups/driver.h>

## Library

The CUPS driver API is provided in a single library called `cupsdriver`. The driver API also depends upon the CUPS imaging API and CUPS API libraries. A typical link command will look like the following:

        cc -o rastertomyprinter rastertomyprinter.o -lcupsdriver \
           -lcupsimage -lcups -lm ENTER